"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.themes = exports.validate_theme = exports.load_theme = exports.schema = void 0;
exports.schema = {
    get v1() {
        return structuredClone(require('./schema/v1.json'));
    }
};
function load_theme(name) {
    if (name.includes('/')) {
        return null;
    }
    const theme = require(`./themes/${name}/theme.json`);
    validate_theme(theme);
    return structuredClone(theme);
}
exports.load_theme = load_theme;
function validate_theme(theme) {
    // todo: validate
}
exports.validate_theme = validate_theme;
exports.themes = [
    'Minimal Dark',
    'Minimal Light',
];
//# sourceMappingURL=index.js.map